NisusWrtText Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
NisusWrtText Class Reference

the main class to read the text part of Nisus file More...

`#include <NisusWrtText.hxx>`

## Public Member Functions
| NisusWrtText (NisusWrtParser &parser)
| constructor More...
virtual | ~NisusWrtText ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions
bool | createZones ()
| finds the different text zones More...
shared_ptr< MWAWSubDocument > | getHeader (int page, int &numSimillar)
| return an header subdocument More...
shared_ptr< MWAWSubDocument > | getFooter (int page, int &numSimillar)
| return a footer subdocument More...
bool | sendMainText ()
| send a main zone More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | sendText (MWAWEntry entry, NisusWrtStruct::Position fPos=NisusWrtStruct::Position())
| read a text entry. More...
bool | sendFootnote (int footnoteId)
| try to send the ith footnote More...
bool | sendHeaderFooter (int hfId)
| try to send the ith header footer More...
void | computePositions ()
| compute the positions More...
void | setProperty (NisusWrtTextInternal::Paragraph const &ruler, int width)
| sends a paragraph property to the listener More...
bool | readFontsList (MWAWEntry const &entry)
| read the list of fonts More...
bool | readHeaderFooter (MWAWEntry const &entry)
| read the header/footer main entry More...
bool | readFootnotes (MWAWEntry const &entry)
| read the footnote main entry More...
bool | readFonts (MWAWEntry const &entry)
| read the FTAB/STYL resource: a list of fonts More...
bool | readPosToFont (MWAWEntry const &entry, NisusWrtStruct::ZoneType zoneId)
| read the FRMT resource: a list of filepos -> fontId More...
bool | readParagraphs (MWAWEntry const &entry, NisusWrtStruct::ZoneType zoneId)
| read the RULE resource: a list of paragraphs More...
bool | readPICD (MWAWEntry const &entry, NisusWrtStruct::ZoneType zoneId)
| read the PICD resource: a list of pict link to the paragraph More...
long | findFilePos (NisusWrtStruct::ZoneType zoneId, NisusWrtStruct::Position const &pos)
| find the file pos which correspond to a pos More...

## Protected Attributes
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< NisusWrtTextInternal::State > | m_state
| the state More...
NisusWrtParser * | m_mainParser
| the main parser; More...

## Private Member Functions
| NisusWrtText (NisusWrtText const &orig)
NisusWrtText & | operator= (NisusWrtText const &orig)

## Friends
class | NisusWrtTextInternal::SubDocument
class | NisusWrtParser

## Detailed Description

the main class to read the text part of Nisus file

## Constructor & Destructor Documentation

## § NisusWrtText() [1/2]

NisusWrtText::NisusWrtText | ( | NisusWrtParser & | parser | ) |
| explicit

constructor

## § ~NisusWrtText()

NisusWrtText::~NisusWrtText | ( |  | ) |
| virtual

destructor

## § NisusWrtText() [2/2]

NisusWrtText::NisusWrtText | ( | NisusWrtText const & | orig | ) |
| private

## Member Function Documentation

## § computePositions()

void NisusWrtText::computePositions | ( |  | ) |
| protected

compute the positions

Referenced by createZones(), and numPages().

## § createZones()

bool NisusWrtText::createZones | ( |  | ) |
| protected

finds the different text zones

## § findFilePos()

long NisusWrtText::findFilePos | ( | NisusWrtStruct::ZoneType | zoneId,
|  | NisusWrtStruct::Position const & | pos
| ) |  |
| protected

find the file pos which correspond to a pos

Referenced by sendFootnote(), and sendHeaderFooter().

## § flushExtra()

void NisusWrtText::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

## § getFooter()

shared_ptr< MWAWSubDocument > NisusWrtText::getFooter | ( | int | page,
|  | int & | numSimillar
| ) |  |
| protected

return a footer subdocument

## § getHeader()

shared_ptr< MWAWSubDocument > NisusWrtText::getHeader | ( | int | page,
|  | int & | numSimillar
| ) |  |
| protected

return an header subdocument

## § numPages()

int NisusWrtText::numPages | ( |  | ) | const

returns the number of pages

## § operator=()

NisusWrtText& NisusWrtText::operator= | ( | NisusWrtText const & | orig | ) |
| private

## § readFonts()

bool NisusWrtText::readFonts | ( | MWAWEntry const & | entry | ) |
| protected

read the FTAB/STYL resource: a list of fonts

Referenced by createZones().

## § readFontsList()

bool NisusWrtText::readFontsList | ( | MWAWEntry const & | entry | ) |
| protected

read the list of fonts

Referenced by createZones().

## § readFootnotes()

bool NisusWrtText::readFootnotes | ( | MWAWEntry const & | entry | ) |
| protected

read the footnote main entry

Referenced by createZones().

## § readHeaderFooter()

bool NisusWrtText::readHeaderFooter | ( | MWAWEntry const & | entry | ) |
| protected

read the header/footer main entry

Referenced by createZones().

## § readParagraphs()

bool NisusWrtText::readParagraphs | ( | MWAWEntry const & | entry,
|  | NisusWrtStruct::ZoneType | zoneId
| ) |  |
| protected

read the RULE resource: a list of paragraphs

Referenced by createZones().

## § readPICD()

bool NisusWrtText::readPICD | ( | MWAWEntry const & | entry,
|  | NisusWrtStruct::ZoneType | zoneId
| ) |  |
| protected

read the PICD resource: a list of pict link to the paragraph

Referenced by createZones().

## § readPosToFont()

bool NisusWrtText::readPosToFont | ( | MWAWEntry const & | entry,
|  | NisusWrtStruct::ZoneType | zoneId
| ) |  |
| protected

read the FRMT resource: a list of filepos -> fontId

Referenced by createZones().

## § sendFootnote()

bool NisusWrtText::sendFootnote | ( | int | footnoteId | ) |
| protected

try to send the ith footnote

Referenced by flushExtra().

## § sendHeaderFooter()

bool NisusWrtText::sendHeaderFooter | ( | int | hfId | ) |
| protected

try to send the ith header footer

Referenced by flushExtra().

## § sendMainText()

bool NisusWrtText::sendMainText | ( |  | ) |
| protected

send a main zone

send data to the listener

## § sendText()

bool NisusWrtText::sendText | ( | MWAWEntry | entry,
|  | NisusWrtStruct::Position | fPos = `NisusWrtStruct::Position()`
| ) |  |
| protected

read a text entry.

Note
  entry.id() must correspond to the zone id.
  while the main text is in the data fork, the footnote/header footer is in a ??TX rsrc.

Referenced by sendFootnote(), sendHeaderFooter(), and sendMainText().

## § setProperty()

void NisusWrtText::setProperty | ( | NisusWrtTextInternal::Paragraph const & | ruler,
|  | int | width
| ) |  |
| protected

sends a paragraph property to the listener

Referenced by sendText().

## § version()

int NisusWrtText::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

## § NisusWrtParser

friend class NisusWrtParser
| friend

## § NisusWrtTextInternal::SubDocument

friend class NisusWrtTextInternal::SubDocument
| friend

## Member Data Documentation

## § m_mainParser

NisusWrtParser* NisusWrtText::m_mainParser
| protected

the main parser;

Referenced by computePositions(), createZones(), findFilePos(), getFooter(), getHeader(), readFonts(), readFontsList(), readFootnotes(), readHeaderFooter(), readParagraphs(), readPICD(), readPosToFont(), and sendText().

## § m_parserState

MWAWParserStatePtr NisusWrtText::m_parserState
| protected

the parser state

Referenced by flushExtra(), readFonts(), readFontsList(), readParagraphs(), sendFootnote(), sendHeaderFooter(), sendMainText(), sendText(), setProperty(), and version().

## § m_state

shared_ptr<NisusWrtTextInternal::State> NisusWrtText::m_state
| protected

the state

Referenced by computePositions(), createZones(), findFilePos(), flushExtra(), getFooter(), getHeader(), numPages(), readFonts(), readFootnotes(), readHeaderFooter(), readParagraphs(), readPICD(), readPosToFont(), sendFootnote(), sendHeaderFooter(), sendMainText(), sendText(), and version().

The documentation for this class was generated from the following files:

- NisusWrtText.hxx
- NisusWrtText.cxx